function [x]=mortg_ballon(PH,XHI,RM,IBP)
% ------------------------------------------------------------------
% This program computes BALLON MORTGAGE CONSTRACT
%  
%  1) Only interest payments until due date
%  2) Principal is paid in period M
%
% INPUT VARIABLES
% PH      = Price of square feet of housing
% XHI     = Number of square feet dwelling
% RM      = Mortgage interest rate
% IBP     = Number of periods to pay off the mortgage
%
% OUTPUT VARIABLES
% XPRIN   = Remaining principle in the loan
% XMPAY   = Mortgage payments
% XMD     = Interest deduction
% ------------------------------------------------------------------
% DEFINES MORTGAGE PARAMETERS
D     = 0.10;
M     = 10;

% INITIALIZE SOME VARIABLES
    XLOAN = (1.0-D)*PH*XHI;          % Loan size
    XIPAY = XLOAN*RM;                % Interest payments

if (IBP>2)
    
    XMPAY = XIPAY;                   % Mortgage payment = Interest payment
    RPRIN = XLOAN;                   % Outstanding Principal = LOAN SIZE
    XMD   = XIPAY;                   % Mortgage deduction
    
elseif (IBP==2)

    XMPAY = XIPAY + XLOAN;           % Mortgage payment = Interest payment
    RPRIN = XLOAN;                   % Outstanding Principal = LOAN SIZE
    XMD   = XIPAY;                   % Mortgage deduction
   
else
    XMD   = 0.0;
    RPRIN = 0.0;
    YXIP  = 0.0;
    XMPAY = 0.0;
end    
    
x = [XMPAY,XMD,RPRIN, XMD];