% CALL DIFFERENT MORTGAGE PROGRAMS AND COMPARES PAYMENT SCHEDULES
clc; clear all
PH  = 1.0;
XHI = 1e5;


%-------------------------------------------------
% Fixed rate mortgage with 20 percent downpayment
%-------------------------------------------------
RM  = 0.025;
for t=31:-1:1; 
    kkfrm(32-t,:)  = mortg_frm(PH,XHI,RM,t);
    xmpayfrm(32-t) = kkfrm(32-t,1) ;
    xintpayfrm(32-t)  = kkfrm(32-t,2);
    xprinpayfrm(32-t) = xmpayfrm(32-t) - xintpayfrm(32-t);
end

t = 1:1:31;
plot(t,xmpayfrm,t,xintpayfrm,t,xprinpayfrm,'Linewidth',3)
axis([1 35 0 8000])
hold; grid off; box off
legend('Mortgage Payment','Interest Payment','Amortization')
print FRM_025percent.ps -dpsc


break

% Fixed rate mortgage with 10 percent downpayment and PMI
for t=31:-1:1; 
    kkpmi(32-t,:)  = mortg_ins(PH,XHI,RM,t);
    xmpaypmi(32-t) = kkpmi(32-t,1) ;
    xintpaypmi(32-t)  = kkpmi(32-t,2);
    xprinpaypmi(32-t) = xmpayfrm(32-t) - xintpaypmi(32-t);
end;
t = 1:1:31;
%subplot(2,1,2)
plot(t,xmpaypmi,'r*:',t,xintpaypmi,'r*:',t,xprinpaypmi,'r*:')
title('FRM and FRM + PMI')


% Combo loan 80-10-10
for t=31:-1:1; 
    kkcl(32-t,:)  = mortg_combo(PH,XHI,RM,t);
    xmpaycl(32-t) = kkcl(32-t,1) ;
    xintpaycl(32-t)  = kkcl(32-t,2);
    xprinpaycl(32-t) = xmpaycl(32-t) - xintpaycl(32-t);
end;
t = 1:1:31;
subplot(2,1,2)
plot(t,xmpaycl,'r*',t,xintpaycl,'r*',t,xprinpaycl,'r*')
hold; grid on

% Combo loan 80-10-10 with credit line
for t=31:-1:1; 
    kkclcred(32-t,:)  = mortg_combocredline(PH,XHI,RM,t);
    xmpayclcred(32-t) = kkclcred(32-t,1) ;
    xintpayclcred(32-t)  = kkclcred(32-t,2);
    xprinpayclcred(32-t) = xmpayclcred(32-t) - xintpayclcred(32-t);
end;
t = 1:1:31;
plot(t,xmpayclcred,'-co',t,xintpayclcred,'-co',t,xprinpayclcred,'-co')
title('Combo 80-10-10 and Combo + Credit line'); grid on